Follow

La question admin usuelle (sans réponse dans la doc) : après mise à jour de Ruby et plusieurs redémarrages des services Mastodon, ils utilisent toujours l'ancienne version (2.6.1 au lieu de 2.6.3).
La commande "rbenv global 2.6.3" me dit que c'est déjà la version utilisée.
Je sèche là.

@gnppn Tu peux l’écraser avec un `rbenv local 2.6.3` ou juste le supprimer complètement pour qu’il utilise la config `global`.

@gnppn Et pour voir comment/où il récupère sa valeur : `rbenv version`

@aeris Il me dit : "2.6.3 (set by /home/mastodon/.rbenv/version)"

cc @benoit

Ca semble juste être Mastodon qui ne le prend pas en compte, malgré des redémarrages des trois services.

@aeris @benoit Rah non c'était juste .ruby-version qui n'était pas à la bonne version, tout connement. Pfff.

@gnppn vérifier les fichiers de service systemd ? Ils hardcodent pas la version de ruby à utiliser ?

@Thib Non en fait @aeris et @benoit étaient sur la bonne piste : juste le fichier "ruby-version" dans mastodon/live à la mauvaise version.

@gnppn regarde si tu n'as pas un .ruby_version dans le répertoire de base de l'appli. Pour changer : rbenv local 2.6.3

Sign in to participate in the conversation
Masto.media

Une instance pour journalistes (un jour).